# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "randpaper"
version = "0.2.3"
build = false
exclude = [
    "assets/*",
    "*.mp4",
    "*.gif",
    ".github",
    ".gitignore",
    "flake",
    "flake.lock",
    "flake.nix",
    "result",
    "rustfmt.toml",
    "node_modules/*",
    "package-lock.json",
    "package.json",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A customizable wallpaper daemon for per-monitor cycling, one-shot application, and optional theme synchronization for Waybar and terminals."
homepage = "https://github.com/saylesss88/randpaper"
readme = "README.md"
keywords = [
    "rust",
    "wallpaper",
]
categories = [
    "command-line-utilities",
    "multimedia",
]
license = "Apache-2.0"
repository = "https://github.com/saylesss88/randpaper"
resolver = "3"

[[bin]]
name = "randpaper"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.101"

[dependencies.async-trait]
version = "0.1.89"

[dependencies.clap]
version = "4.5.57"
features = ["derive"]

[dependencies.color-thief]
version = "0.2.2"

[dependencies.dirs]
version = "6.0.0"

[dependencies.env_logger]
version = "0.11.8"

[dependencies.figment]
version = "0.10.19"
features = [
    "env",
    "toml",
]

[dependencies.fslock]
version = "0.2.1"

[dependencies.image]
version = "0.25.9"
features = [
    "jpeg",
    "png",
    "bmp",
    "webp",
]
default-features = false

[dependencies.log]
version = "0.4.29"

[dependencies.parse_duration]
version = "2.1.1"

[dependencies.rand]
version = "0.10.0"

[dependencies.serde]
version = "1.0.228"

[dependencies.serde_json]
version = "1.0.149"

[dependencies.swayipc-async]
version = "3.0.0"

[dependencies.tokio]
version = "1.49.0"
features = ["full"]

[dependencies.walkdir]
version = "2.5.0"

[dependencies.xdg]
version = "3.0.0"

[lints.clippy]
dbg_macro = "warn"
panic = "warn"
todo = "warn"
unwrap_used = "warn"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.cargo]
level = "warn"
priority = -1

[lints.clippy.nursery]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1

[lints.rust]
unsafe_code = "forbid"

[lints.rust.future_incompatible]
level = "warn"
priority = -1

[lints.rust.nonstandard_style]
level = "warn"
priority = -1

[lints.rust.rust_2018_idioms]
level = "warn"
priority = -1

[lints.rustdoc]
all = "warn"

[profile.release]
opt-level = 3
lto = "thin"
codegen-units = 8
panic = "abort"
strip = true
